
 
<html>
<head>
<title>How to move animated marker smoothly using Google Map Javascript API- Tutorialswebsite
</title>
<script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCTbabBeqz8n6GqJjDj5Gc6wkC8xmutYTk"></script>
<script>
var position = [28.4594965, 77.0266383];
 
function initialize() { 
    var latlng = new google.maps.LatLng(position[0], position[1]);
    var myOptions = {
        zoom: 16,
        center: latlng,
        mapTypeId: google.maps.MapTypeId.ROADMAP
    };
    map = new google.maps.Map(document.getElementById("mapCanvas"), myOptions);
 
    marker = new google.maps.Marker({
        position: latlng,
        map: map,
        title: "Latitude:"+position[0]+" | Longitude:"+position[1]
    });
 
    google.maps.event.addListener(map, 'click', function(event) {
        var result = [event.latLng.lat(), event.latLng.lng()];
        transition(result);
    });
}
 
//Load google map
google.maps.event.addDomListener(window, 'load', initialize);
 
 
var numDeltas = 100;
var delay = 10; //milliseconds
var i = 0;
var deltaLat;
var deltaLng;
 
function transition(result){
    i = 0;
    deltaLat = (result[0] - position[0])/numDeltas;
    deltaLng = (result[1] - position[1])/numDeltas;
    moveMarker();
}
 
function moveMarker(){
    position[0] += deltaLat;
    position[1] += deltaLng;
    var latlng = new google.maps.LatLng(position[0], position[1]);
    marker.setTitle("Latitude:"+position[0]+" | Longitude:"+position[1]);
    marker.setPosition(latlng);
    if(i!=numDeltas){
        i++;
        setTimeout(moveMarker, delay);
    }
}
</script>
<style>
#mapCanvas{
    width: 100%;
    height: 400px;
}
</style>
</head>
<body>
<div id="mapCanvas"></div>
</body>
 
</html>
 
 